# Generated by rust2rpm 17
%bcond_without check
%global debug_package %{nil}

%global crate ignore

Name:           rust-%{crate}
Version:        0.4.18
Release:        3%{?dist}
Summary:        Fast library for efficiently matching ignore files

# Upstream license specification: Unlicense/MIT
License:        Unlicense or MIT
URL:            https://crates.io/crates/ignore
Source:         %{crates_source}
# Initial patched metadata
# * drop windows-specific dependencies
Patch0:         ignore-fix-metadata.diff

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
Fast library for efficiently matching ignore files such as `.gitignore` against
file paths.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license COPYING UNLICENSE LICENSE-MIT
%doc README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+simd-accel-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+simd-accel-devel %{_description}

This package contains library source intended for building other packages
which use "simd-accel" feature of "%{crate}" crate.

%files       -n %{name}+simd-accel-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.18-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Jul 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.18-2
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 18 2021 Fabio Valentini <decathorpe@gmail.com> - 0.4.18-1
- Update to version 0.4.18.
- Fixes RHBZ#1971136

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Nov 23 2020 Fabio Valentini <decathorpe@gmail.com> - 0.4.17-1
- Update to version 0.4.17.
- Fixes RHBZ#1900730

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri May 29 16:52:14 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.4.16-1
- Update to 0.4.16

* Sun May 10 10:21:43 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.4.15-1
- Update to 0.4.15

* Mon Mar 30 08:07:33 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.4.14-1
- Update to 0.4.14

* Mon Mar 23 06:53:02 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.4.13-1
- Update to 0.4.13

* Tue Mar 17 16:34:22 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.4.12-1
- Update to 0.4.12

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Jan 24 2020 Josh Stone <jistone@redhat.com> - 0.4.11-1
- Update to 0.4.11

* Sun Sep 08 09:32:10 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.10-1
- Update to 0.4.10

* Sat Aug 03 14:35:28 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.9-1
- Update to 0.4.9

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jun 20 00:16:21 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.7-3
- Regenerate

* Sun Jun 09 10:16:41 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.7-2
- Regenerate

* Tue Apr 16 12:45:05 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.7-1
- Update to 0.4.7

* Sun Mar 10 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.6-3
- Do not pull optional dependencies

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Jan 08 2019 Josh Stone <jistone@redhat.com> - 0.4.6-1
- Update to 0.4.6

* Sat Dec 15 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.5-1
- Update to 0.4.5

* Sun Oct 28 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.4-2
- Adapt to new packaging

* Sat Sep 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.4-1
- Update to 0.4.4

* Sun Jul 29 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.3-2
- Apply panic from upstream

* Sun Jul 29 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.3-1
- Update to 0.4.3

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 12 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.2-2
- Bump regex to 1

* Sun Apr 22 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.2-1
- Update to 0.4.2

* Wed Feb 21 2018 Josh Stone <jistone@redhat.com> - 0.4.1-1
- Update to 0.4.1

* Mon Feb 12 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.0-1
- Update to 0.4.0

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.1-4
- Rebuild for rust-packaging v5

* Thu Nov 30 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.1-3
- Bump lazy_static to 1

* Fri Nov 10 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.1-2
- Bump crossbeam to 0.3

* Thu Nov 09 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.1-1
- Update to 0.3.1

* Wed Jun 14 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.0-1
- Update to 0.2.0

* Wed Jun 14 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.8-2
- Port to use rust-packaging

* Wed Mar 15 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.8-1
- Update to 0.1.8

* Sun Feb 26 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.7-1
- Initial package
